package istia.st.springmvc.personnes.dao;

import istia.st.springmvc.personnes.entites.Personne;

public class DaoImplFirebird extends DaoImplCommon {

	// modifier une personne
	protected void updatePersonne(Personne personne) {
		// on attend 10 ms - pour les tests mettre true au lieu de false
		if (true)
			wait(10);
		// modification
		try {
			// on modifie la personne qui a la bonne version
			int n = getSqlMapClientTemplate().update("Personne.updateOne",
					personne);
			if (n == 0)
				throw new DaoException("La personne d'Id [" + personne.getId()
						+ "] n'existe pas ou bien a t modifie", 2);
		} catch (org.springframework.jdbc.UncategorizedSQLException ex) {
			if (ex.getSQLException().getCause().getClass().isAssignableFrom(
					org.firebirdsql.jdbc.FBSQLException.class)) {
				org.firebirdsql.jdbc.FBSQLException cause = (org.firebirdsql.jdbc.FBSQLException) ex
						.getSQLException().getCause();
				if (cause.getErrorCode() == 335544336) {
					throw new DaoException(
							"Conflit d'accs au mme enregistrement", 4);
				}
			} else {
				throw ex;
			}
		}
	}

	// attente
	private void wait(int N) {
		// on attend N ms
		try {
			Thread.sleep(N);
		} catch (InterruptedException e) {
			// on affiche la trace de l'exception
			e.printStackTrace();
			return;
		}
	}

}