-- EMS PostgreSQL Manager Lite 3.1.0.1
-- ---------------------------------------
-- Host     : localhost
-- Database : dbpersonnes



--
-- Definition for function plpgsql_call_handler (OID = 17230) : 
--
SET search_path = public, pg_catalog;
SET check_function_bodies = false;
CREATE FUNCTION plpgsql_call_handler () RETURNS language_handler
    AS '$libdir/plpgsql', 'plpgsql_call_handler'
    LANGUAGE c;
--
-- Definition for function plpgsql_validator (OID = 17231) : 
--
CREATE FUNCTION plpgsql_validator (oid) RETURNS void
    AS '$libdir/plpgsql', 'plpgsql_validator'
    LANGUAGE c;
--
-- Definition for language plpgsql (OID = 17232) : 
--
CREATE TRUSTED PROCEDURAL LANGUAGE plpgsql HANDLER plpgsql_call_handler VALIDATOR plpgsql_validator;
--
-- Definition for function database_size (OID = 17233) : 
--
CREATE FUNCTION database_size (name) RETURNS bigint
    AS '$libdir/dbsize', 'database_size'
    LANGUAGE c STRICT;
--
-- Definition for function relation_size (OID = 17234) : 
--
CREATE FUNCTION relation_size (text) RETURNS bigint
    AS '$libdir/dbsize', 'relation_size'
    LANGUAGE c STRICT;
--
-- Definition for function pg_tablespace_size (OID = 17235) : 
--
CREATE FUNCTION pg_tablespace_size (oid) RETURNS bigint
    AS '$libdir/dbsize', 'pg_tablespace_size'
    LANGUAGE c STRICT;
--
-- Definition for function pg_database_size (OID = 17236) : 
--
CREATE FUNCTION pg_database_size (oid) RETURNS bigint
    AS '$libdir/dbsize', 'pg_database_size'
    LANGUAGE c STRICT;
--
-- Definition for function pg_relation_size (OID = 17237) : 
--
CREATE FUNCTION pg_relation_size (oid) RETURNS bigint
    AS '$libdir/dbsize', 'pg_relation_size'
    LANGUAGE c STRICT;
--
-- Definition for function pg_size_pretty (OID = 17238) : 
--
CREATE FUNCTION pg_size_pretty (bigint) RETURNS text
    AS '$libdir/dbsize', 'pg_size_pretty'
    LANGUAGE c STRICT;
--
-- Definition for function pg_file_stat (OID = 17239) : 
--
CREATE FUNCTION pg_file_stat (text) RETURNS record
    AS '$libdir/admin', 'pg_file_stat'
    LANGUAGE c STRICT;
--
-- Definition for function pg_file_length (OID = 17240) : 
--
CREATE FUNCTION pg_file_length (text) RETURNS bigint
    AS 'SELECT len FROM pg_file_stat($1) AS s(len int8, c timestamp, a timestamp, m timestamp, i bool)'
    LANGUAGE sql STRICT;
--
-- Definition for function pg_file_read (OID = 17241) : 
--
CREATE FUNCTION pg_file_read (text, bigint, bigint) RETURNS text
    AS '$libdir/admin', 'pg_file_read'
    LANGUAGE c STRICT;
--
-- Definition for function pg_file_write (OID = 17242) : 
--
CREATE FUNCTION pg_file_write (text, text, boolean) RETURNS bigint
    AS '$libdir/admin', 'pg_file_write'
    LANGUAGE c STRICT;
--
-- Definition for function pg_file_rename (OID = 17243) : 
--
CREATE FUNCTION pg_file_rename (text, text, text) RETURNS boolean
    AS '$libdir/admin', 'pg_file_rename'
    LANGUAGE c;
--
-- Definition for function pg_file_unlink (OID = 17244) : 
--
CREATE FUNCTION pg_file_unlink (text) RETURNS boolean
    AS '$libdir/admin', 'pg_file_unlink'
    LANGUAGE c STRICT;
--
-- Definition for function pg_file_rename (OID = 17245) : 
--
CREATE FUNCTION pg_file_rename (text, text) RETURNS boolean
    AS 'SELECT pg_file_rename($1, $2, NULL); '
    LANGUAGE sql STRICT;
--
-- Definition for function pg_dir_ls (OID = 17246) : 
--
CREATE FUNCTION pg_dir_ls (text, boolean) RETURNS SETOF text
    AS '$libdir/admin', 'pg_dir_ls'
    LANGUAGE c STRICT;
--
-- Definition for function pg_reload_conf (OID = 17247) : 
--
CREATE FUNCTION pg_reload_conf () RETURNS integer
    AS '$libdir/admin', 'pg_reload_conf'
    LANGUAGE c STABLE STRICT;
--
-- Definition for function pg_postmaster_starttime (OID = 17248) : 
--
CREATE FUNCTION pg_postmaster_starttime () RETURNS timestamp without time zone
    AS '$libdir/admin', 'pg_postmaster_starttime'
    LANGUAGE c STRICT;
--
-- Definition for function pg_logdir_ls (OID = 17249) : 
--
CREATE FUNCTION pg_logdir_ls () RETURNS SETOF record
    AS '$libdir/admin', 'pg_logdir_ls'
    LANGUAGE c STRICT;
--
-- Definition for view pg_logdir_ls (OID = 17250) : 
--
CREATE VIEW pg_logdir_ls AS
SELECT a.filetime, a.filename
FROM pg_logdir_ls() a(filetime timestamp without time zone, filename text);

--
-- Structure for table PERSONNES (OID = 17254) : 
--
CREATE TABLE "PERSONNES" (
    "ID" integer NOT NULL,
    "VERSION" integer NOT NULL,
    "NOM" varchar(30) NOT NULL,
    "PRENOM" varchar(30) NOT NULL,
    "DATENAISSANCE" date NOT NULL,
    "MARIE" boolean NOT NULL,
    "NBENFANTS" integer NOT NULL,
    CONSTRAINT "PERSONNES_chk_NBENFANTS" CHECK (("NBENFANTS" >= 0)),
    CONSTRAINT "PERSONNES_chk_NOM" CHECK ((("NOM")::text <> ''::text)),
    CONSTRAINT "PERSONNES_chk_PRENOM" CHECK ((("PRENOM")::text <> ''::text))
);
--
-- Definition for sequence SEQ_ID (OID = 17261) : 
--
CREATE SEQUENCE "SEQ_ID"
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
--
-- Data for blobs (OID = 17254) (LIMIT 0,3)
--
INSERT INTO "PERSONNES" ("ID", "VERSION", "NOM", "PRENOM", "DATENAISSANCE", "MARIE", "NBENFANTS") VALUES (1, 1, 'Major', 'Joachim', '1984-11-13', true, 2);
INSERT INTO "PERSONNES" ("ID", "VERSION", "NOM", "PRENOM", "DATENAISSANCE", "MARIE", "NBENFANTS") VALUES (2, 1, 'Humbort', 'Mlanie', '1985-01-12', false, 1);
INSERT INTO "PERSONNES" ("ID", "VERSION", "NOM", "PRENOM", "DATENAISSANCE", "MARIE", "NBENFANTS") VALUES (3, 1, 'Lemarchand', 'Charles', '1986-01-01', false, 0);
--
-- Definition for index PERSONNES_pkey (OID = 17256) : 
--
ALTER TABLE ONLY "PERSONNES"
    ADD CONSTRAINT "PERSONNES_pkey" PRIMARY KEY ("ID");
--
-- Data for sequence public."SEQ_ID" (OID = 17261)
--
SELECT pg_catalog.setval('"SEQ_ID"', 37, true);
--
-- Comments
--
COMMENT ON SCHEMA public IS 'Standard public schema';
