package istia.st.springmvc.personnes.service;

import istia.st.springmvc.personnes.entites.Personne;
import istia.st.springmvc.personnes.dao.IDao;

import java.util.Collection;

public class ServiceImpl implements IService {

	// la couche [dao]
	private IDao dao;

	public IDao getDao() {
		return dao;
	}

	public void setDao(IDao dao) {
		this.dao = dao;
	}

	// liste des personnes
	public Collection getAll() {
		return dao.getAll();
	}

	// obtenir une personne en particulier
	public Personne getOne(int id) {
		return dao.getOne(id);
	}

	// ajouter ou modifier une personne
	public void saveOne(Personne personne) {
		dao.saveOne(personne);
	}

	// suppression d'une personne
	public void deleteOne(int id) {
		dao.deleteOne(id);
	}

	// sauvegarder une collection de personnes
	public void saveMany(Personne[] personnes) {
		// on boucle sur le tableau des personnes
		for (int i = 0; i < personnes.length; i++) {
			dao.saveOne(personnes[i]);
		}
	}

	// supprimer une collection de personnes
	public void deleteMany(int[] ids) {
		// ids : les id des personnes  supprimer
		for (int i = 0; i < ids.length; i++) {
			dao.deleteOne(ids[i]);
		}
	}
}